org.apache.felix.ipojo.extender.internal.processor

## Class ComponentsBundleProcessor

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.processor.ComponentsBundleProcessor

All Implemented Interfaces:
  BundleProcessor, Lifecycle

    public class ComponentsBundleProcessor
    extends java.lang.Object
    implements BundleProcessor

Processor handling the `IPOJO_HEADER` and `IPOJO_HEADER_ALT` header from the bundle manifest.

### Field Summary

Fields
`static java.lang.String` `COMPONENT_INSTANCE_ATTRIBUTE` The attribute used in instance configuration specifying the targeted component (i.e.
`static java.lang.String` `IPOJO_HEADER` iPOJO Component Type and Instance declaration header.
`static java.lang.String` `IPOJO_HEADER_ALT` iPOJO Component Type and Instance declaration header (alternative).

### Constructor Summary

Constructors
Constructor and Description
`ComponentsBundleProcessor(Log logger)` Creates the component bundle processor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is starting.
`void` `deactivate(org.osgi.framework.Bundle bundle)` A bundle is stopping.
`void` `start()` Start the service.
`void` `stop()` Stop the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IPOJO_HEADER

    public static final java.lang.String IPOJO_HEADER

iPOJO Component Type and Instance declaration header.

See Also:
  Constant Field Values

#### IPOJO_HEADER_ALT

    public static final java.lang.String IPOJO_HEADER_ALT

iPOJO Component Type and Instance declaration header (alternative). This header was introduced because of BND supporting only header starting with an uppercase.

See Also:
  Constant Field Values

#### COMPONENT_INSTANCE_ATTRIBUTE

    public static final java.lang.String COMPONENT_INSTANCE_ATTRIBUTE

The attribute used in instance configuration specifying the targeted component (i.e. factory).

See Also:
  Constant Field Values

### Constructor Detail

#### ComponentsBundleProcessor

    public ComponentsBundleProcessor(Log logger)

Creates the component bundle processor.

Parameters:
  `logger` - the logger.

### Method Detail

#### activate

    public void activate(org.osgi.framework.Bundle bundle)

A bundle is starting.

Specified by:
  `activate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### deactivate

    public void deactivate(org.osgi.framework.Bundle bundle)

A bundle is stopping.

Specified by:
  `deactivate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### start

    public void start()

Start the service.

Specified by:
  `start` in interface `Lifecycle`

#### stop

    public void stop()

Stop the service.

This method cleans up all created factories and instances.

Specified by:
  `stop` in interface `Lifecycle`